RubyGems Navigation menu

swissparser 1.0.1

Simple DSL to define parser for flat files formats common in biofinformatics, such as Swissprot, Uniprot, KEGG, TREMBL, etc. SwissParser API was changed in its version 1.0.0 to simplify parser definition. The code was tested on entire Uniprot and KEGG releases and functional testing guarantees that existing features will not break after an update.

Gemfile
          gem 'swissparser', '~> 1.0.1'
  
  
  
  
  
  
  

install
          gem install swissparser
  
  
  
  
  
  
  

Authors:

  • paradigmatic

Owners:

Total downloads 14,079

For this version 1,223

Show all versions (11 total)

Required Ruby Version: None

Links:

Versions:

  1. 1.0.1 - January 22, 2011 (81.5 KB)
  2. 1.0.0 - December 17, 2010 (86 KB)
  3. 0.11.1 - November 16, 2009 (83 KB)
  4. 0.11.0 - November 16, 2009 (83 KB)
  5. 0.10.0 - November 15, 2009 (81.5 KB)
Show all versions (11 total)

Development Dependencies: